blomstra-gdpr:
  lib:
    data:
      uploads:
        export_description: All files uploaded by the user.
        anonymize_description: Removes the user reference from the uploaded files. The files themselves remain accessible to users that could view them pre-anonymization.
        delete_description: Deletes all files uploaded by the user.

fof-upload:
  admin:
    nav:
      shared-uploads-button: Shared uploads
    shared-uploads:
      description: Upload files that can be used by all users of your forum.
      introduction: |
        Shared uploads are files that can be used by all users of your forum. They are not attached to any post, but can be inserted into posts by using the media manager.

        <strong>Warning:</strong> Shared uploads are not protected by any permissions. Anyone with the URL can view them.
      no-files: No shared files have been uploaded yet.
      title: Shared uploads
      upload-new-button: Upload new file
    pane:
      title: Upload
      description: Set up uploading services and preferences.
    help_texts:
      disable-download-logging: |
        Disable logging every download made by users of your forum. Keeping it enabled allows you to view the number of downloads and other metrics in the nearby future.
      disable-hotlink-protection: |
        Hotlink protection prevents opening downloads from other sites. Current method requires a csrf token and post id.
      download_templates: |
        Download templates are how uploads are shown on your forum, eg like previews, buttons. Currently available:
      mime_types: |
        Please configure your mapping here. Each mime type regular expression will be handled by a specific upload adapter and download template.
      resize: |
        Choose whether you want to resize your images before they get uploaded. You can choose a maximum width and height, in pixels. The resizing process keeps the aspect ratio of the images.
      client_extension: |
        By default Upload will choose a safe file extension based on the MIME type.
        For some file types based around ZIP or binary data this can result in generic extensions being used instead of the expected one.
        Here you can enter a comma-separated list of file extensions that will be kept verbatim.
      watermark: |
        Choose whether images will have a watermark added during upload. Watermarks are added to non-gifs based on your preferences below.
      s3_compatible_storage: |
        The following settings are only required when using S3 compatible storage. If you use AWS, you can leave them blank.
      s3_acl: |
        The ACL that should be applied to the uploaded object (default: private). For possible values, see https://docs.aws.amazon.com/AmazonS3/latest/dev/acl-overview.html#canned-acl
      s3_instance_profile: |
        Leave key and secret empty to use credentials in instance profile.
      composer_buttons: |
        By default both the media manager button and upload button are visible. You can also choose to display only one button.
    labels:
      aws-s3:
        bucket: Bucket
        key: Key
        region: Region
        secret: Secret
        title: AWS S3 storage settings
        advanced_title: Advanced S3 storage settings
        endpoint: Endpoint
        use_path_style_endpoint: Use path style endpoint
        acl: Access Control List (ACL)
      disable-download-logging:
        title: Disable logging downloads
        toggle: Disable
      disable-hotlink-protection:
        title: Disable hotlink protection
        toggle: Disable
      imgur:
        client_id: Imgur client ID
        title: Imgur image storage settings
        tos: It is your responsibility to ensure your forum users adhere to Imgur's <a>Terms of service</a>
      local:
        cdn_url: Content Delivery URL (prefixes files)
        title: Local storage settings
      qiniu:
        title: Qiniu storage settings
        key: Key
        secret: Secret
        bucket: Bucket
      preferences:
        max_file_size: Maximum file size (in kilobytes)
        mime_types: "Configure your mime type, upload adapter mapping"
        title: General preferences
        php_ini_values: "Your <code>php.ini</code> values are <code>post_max_size={post}</code> and <code>upload_max_filesize={upload}</code>. Ensure the value set here is below these thresholds, or adjust them accordingly. If using <code>Nginx</code>, also ensure that <code>client_max_body_size</code> is of sufficient size for your chosen max limit."
      resize:
        max_width: Maximum image width/height
        title: Image resize
        toggle: Resize images
      client_extension:
        title: User-provided file extensions
      watermark:
        file: Upload your watermark image
        position: Watermark position
        title: Watermark images
        toggle: Watermark images
      composer_buttons:
        title: Composer buttons
        options:
          both: Both
          upload-btn: Upload button only
          media-btn: Media manager button only
      inspect-mime: Test file MIME type

    permissions:
      download_label: Download files
      upload_label: Upload files
      view_user_uploads_label: View user uploads
      delete_uploads_of_others_label: Delete user uploads
      upload_shared_label: Upload shared files
      access_shared_label: Access shared files in Media Manager
    templates:
      file: Default file download template
      file_description: |
        Shows the file name and some general information. Proxies downloads through php, allowing for statistics gathering and hotlink protection.
      image: Default image download template
      image_description: |
        Shows a thumbnail of the image and proxies download through php. Allowing statistics to be gathered and hotlink protection.
      image-preview: Complete image preview template
      image-preview_description: |
        Shows the complete image in-line. No download functionality, no statistics are gathered and hotlink protection is ignored.
      markdown-image: Markdown image template
      markdown-image_description: |
        Shows the complete image in-line using Markdown. <strong>You must have flarum/markdown installed and enabled for this to work.</strong> No download functionality, no statistics are gathered and hotlink protection is ignored.
      bbcode-image: BBCode image template
      bbcode-image_description: |
        Shows the complete image in-line using BBCode. <strong>You must have flarum/bbcode installed and enabled for this to work.</strong> No download functionality, no statistics are gathered and hotlink protection is ignored.
      just-url: Just URL
      just-url_description: |
        Inserts just the URL. Rendering can be handled by other extensions with auto-link ability. No download functionality, no statistics are gathered and hotlink protection is ignored.
      text-preview: Text preview
      text-preview_description: |
        Inserts a preview (first 5 lines) of the text file, with an option to expand to reveal the full contents of the file.
    upload_methods:
      aws-s3: S3/Compatible
      imgur: Imgur
      local: Local
      ovh-svfs: OVH SVFS
      qiniu: QiNiu
    inspect-mime:
      title: Inspect MIME
      description: |
        FoF Upload uses the <a>PHP Mime Detector</a> library for common MIME types and PHP Fileinfo as a fallback.
        The MIME value returned by Fileinfo can be different from server to server!
      select: Select a file below to inspect the values that will be used. The file will not be saved.
      laravel-validation: Laravel File Validation
      no-file-selected: No file
      validation-passed: Passed
      validation-failed: "Failed: {error}"
      mime-detector: Mime Detector (primary)
      mime-fileinfo: PHP Fileinfo (fallback)
      guessed-extension: Default file extension (if original is not whitelisted)
      not-available: No result
  forum:
    media_manager: Media manager

    buttons:
      attach: Attach
      upload: Upload
      upload_shared: Shared
      user_uploads: User uploads
      cancel: Cancel
      media: My media
      shared_media: Shared media

    states:
      error: Error
      loading: Uploading
      unauthorized: You are not allowed to download files

    validation:
      max_size: "Uploads over {max} kb are not accepted."

    text_preview:
      expand: Expand preview
      collapse: Collapse preview
      error: |
        Error previewing file. It may have been deleted, or the provided file ID is invalid.
      no_snippet_preview: "<preview will appear here after posting>"
      no_snippet: "<no preview snippet available>"
  api:
    upload_errors:
      forbidden_type: Uploading files of this type is not allowed.
      unsupported_type: "Upload adapter does not support the provided mime type: {mime}."
      could_not_detect_mime: Could not detect the MIME type of this file, please try again.
      max_upload_file_size_ini: Upload max filesize limit reached from php.ini.
      max_upload_file_size_form: Upload max filesize limit reached from form.
      partial_upload: Partial upload.
      no_file_uploaded: No file uploaded.
      no_upload_tmp_folder: No tmp folder for uploading files.
      cannot_write_to_disk: Cannot write to disk.
      upload_blocked_by_php_extension: A php extension blocked the upload.
      no_files_made_it_to_upload: Please upload files no larger than {max} kb.
  lib:
    upload-shared-file-modal:
      title: New shared file
      dropzone: Drag and drop files here or click to browse
      hide-from-media-gallery: Hide from user's media gallery
      upload: Upload

    file_list:
      loading: Loading files...
      empty: There are no files to show.
      release_to_upload: Release to upload
      modal_empty_desktop: Your file list is empty. Click the button or drag a file here to upload.
      modal_empty_phone: Your file list is empty. Tap the button above to upload a file.
      select_file_a11y_label: Select file "{fileName}"
      confirm_selection_btn: "{fileCount, plural, =0 {None selected} one {Select file} other {Select files}}"
      load_more_files_btn: Load more files
      delete_file_a11y_label: Delete file "{fileName}"
      delete_confirmation: Are you sure you want to delete "{fileName}"?

      hide_file:
        btn_a11y_label_hide: Hide "{fileName}" from media manager
        btn_a11y_label_show: Show "{fileName}" in media manager
        hide_confirmation: Are you sure you want to hide "{fileName}"? Hiding a file will only remove it from your media manager and will not affect existing posts.
        hide_success: File hidden
        show_confirmation: Are you sure you want to show "{fileName}"? Showing a file will make it visible in your media manager.
        show_success: File shown
        hide_fail: Couldn't hide file "{fileName}"
        show_fail: Couldn't show file "{fileName}"
        loading: Hiding file...
      hide_shared_file:
        btn_a11y_label_hide: Make "{fileName}" private (no public URL)
        btn_a11y_label_show: Make "{fileName}" public (with public URL)
        hide_confirmation: Are you sure you want to make "{fileName}" private? Making a file private will remove its public URL, but it will not affect existing posts. It will also no longer be visible in the media manager to unauthorized users.
        hide_success: File made private
        show_confirmation: Are you sure you want to make "{fileName}" public? Making a file public will make it accessible to anyone with a public URL and anyone can share it using the media manager.
        show_success: File made public
        hide_fail: Couldn't make file "{fileName}" private
        show_fail: Couldn't make file "{fileName}" public
        loading: Making file private...
